%define pyver %(%{__python} -c "import sys; print sys.version[:3]")

Distribution:		CCux
Packager:		Christian Metzen <metzench@ccux-linux.de>

Summary: 		The sources for additional PyGNOME Python extension modules for the GNOME desktop
Name: 			gnome-python-desktop
Version: 		2.20.0
Release: 		4
License: 		GPL/LGPL
Group: 			Development/Languages
Source0: 		ftp://ftp.gnome.org:/pub/gnome/sources/gnome-python-desktop/2.13/gnome-python-desktop-%{version}.tar.bz2

BuildRoot: 		%{_tmppath}/%{name}-%{version}-%{release}-root

Requires: 		gnome-python
Requires: 		python-abi = %{pyver}
BuildRequires: 		glib-devel
BuildRequires: 		gtk2+-devel
BuildRequires: 		PyGTK-devel
BuildRequires: 		gnome-python >= %{version}
BuildRequires: 		gnome-panel-devel
BuildRequires: 		libgnomeprintui-devel
#BuildRequires: 		gtksourceview-devel
BuildRequires: 		libwnck-devel
BuildRequires: 		libgtop-devel
BuildRequires: 		totem-pl-parser-devel
BuildRequires: 		python-devel
BuildRequires: 		bug-buddy metacity
BuildRequires: 		librsvg-devel
BuildRequires: 		gnome-desktop-devel
BuildRequires: 		gnome-media-devel
BuildRequires: 		nautilus-cd-burner-devel

%description
The gnome-python-desktop package contains the source packages for additional 
Python bindings for GNOME. It should be used together with gnome-python.


%package -n	gnome-python-applet
Requires: 	%{name} = %{version}-%{release}
Summary: 	Python bindings for GNOME Panel applets.
Group: 		Development/Languages

%description -n gnome-python-applet
This module contains a wrapper that allows GNOME Panel applets to be
written in Python.

%package -n	gnome-python-bugbuddy
Summary: 	Python bindings for interacting with bug-buddy
Group: 		Development/Languages
Requires: 	%{name} = %{version}-%{release}
Requires: 	bug-buddy

%description -n gnome-python-bugbuddy
This module contains a wrapper that allows the use of bug-buddy via
Python.


%package -n	gnome-python-gnomeprint
Requires: 	%{name} = %{version}-%{release}
Summary: 	Python bindings for interacting with libgnomeprint
Group: 		Development/Languages
Requires: 	libgnomeprint libgnomeprintui

%description -n gnome-python-gnomeprint
This module contains a wrapper that allows the use of libgnomeprint via
Python.


#%package -n gnome-python-gtksourceview
#Requires: 		%{name} = %{version}-%{release}
#Summary: 		Python bindings for interacting with the gtksourceview library 
#Group: 			Development/Languages
#Requires:  		gtksourceview
#Requires: 		gnome-python-gnomeprint
#
#%description -n gnome-python-gtksourceview
#This module contains a wrapper that allows the use of gtksourceview via
#Python.
#

%package -n	gnome-python-libwnck
Summary: 	Python bindings for interacting with libwnck
Group: 		Development/Languages
Requires:  	libwnck

%description -n gnome-python-libwnck
This module contains a wrapper that allows the use of libwnck via
Python.

%package -n	gnome-python-libgtop
Requires: 	%{name} = %{version}-%{release}
Summary: 	Python bindings for interacting with libgtop
Group: 		Development/Languages
Requires:  	libgtop

%description -n gnome-python-libgtop
This module contains a wrapper that allows the use of libgtop via
Python.

%package -n	gnome-python-nautilus-cd-burner
Requires: 	%{name} = %{version}-%{release}
Summary: 	Python bindings for interacting with nautilus-cd-burner
Group: 		Development/Languages
Requires:  	nautilus-cd-burner

%description -n gnome-python-nautilus-cd-burner
This module contains a wrapper that allows the use of nautilus-cd-burner
via Python.

#%package -n gnome-python-metacity
#Requires: 		%{name} = %{version}-%{release}
#Summary: 		Python bindings for interacting with metacity
#Group: 			Development/Languages
#Requires:  		metacity
#
#%description -n gnome-python-metacity
#This module contains a wrapper that allows the use of metacity 
#via Python.

%package -n	gnome-python-totem
Requires: 	%{name} = %{version}-%{release}
Requires:	totem-pl-parser
Summary: 	Python bindings for interacting with totem
Group: 		Development/Languages

%description -n gnome-python-totem
This module contains a wrapper that allows the use of totem
via Python.

%package -n	gnome-python-rsvg
Requires: 	librsvg
Summary: 	Python bindings for interacting with librsvg
Group: 		Development/Languages

%description -n gnome-python-rsvg
This module contains a wrapper that allows the use of librsvg
via Python.

%package -n	gnome-python-gnomedesktop
Requires:	%{name} = %{version}-%{release}
Requires: 	gnome-desktop
Summary: 	Python bindings for interacting with gnome-desktop
Group: 		Development/Languages

%description -n gnome-python-gnomedesktop
This module contains a wrapper that allows the use of gnome-desktop
via Python.

%package -n	gnome-python-gnomekeyring
Requires: 	%{name} = %{version}-%{release}
Requires: 	gnome-keyring
Summary: 	Python bindings for interacting with gnome-keyring
Group: 		Development/Languages

%description -n gnome-python-gnomekeyring
This module contains a wrapper that allows the use of gnome-keyring
via Python.

%prep
%setup -q -n gnome-python-desktop-%{version}

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm {} \;

rm -rf $RPM_BUILD_ROOT/%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gksu

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS
%{_libdir}/pkgconfig/gnome-python-desktop-2.0.pc
%{_datadir}/pygtk
%exclude /usr/share/gtk-doc/html/pygtksourceview/

%files -n gnome-python-applet
%defattr(-,root,root,-)
%dir %{_libdir}/python%{pyver}/site-packages/gtk-2.0/gnome/applet.*
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gnomeapplet.so

%files -n gnome-python-bugbuddy
%defattr(-,root,root,-)
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/bugbuddy.py*


%files -n gnome-python-gnomeprint
%defattr(-,root,root,-)
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gnomeprint/
%{_datadir}/gtk-doc/html/pygnomeprint
%{_datadir}/gtk-doc/html/pygnomeprintui
%defattr(644,root,root,755)
%doc ../gnome-python-desktop-%{version}/examples/gnomeprint/*


#%files -n gnome-python-gtksourceview
#%defattr(-,root,root,-)
#%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gtksourceview.so
#%{_datadir}/gtk-doc/html/pygtksourceview
#%defattr(644,root,root,755)
#%doc ../gnome-python-desktop-%{version}/examples/gtksourceview/*


%files -n gnome-python-libwnck
%defattr(-,root,root,-)
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/wnck.so


%files -n gnome-python-libgtop
%defattr(-,root,root,-)
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gtop.so


%ifnarch s390 s390x
%files -n gnome-python-nautilus-cd-burner
%defattr(-,root,root,-)
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/nautilusburn.so
%defattr(644,root,root,755)
%doc ../gnome-python-desktop-%{version}/examples/nautilusburn/*
%endif


#%files -n gnome-python-metacity
#%defattr(-,root,root,-)
#%{_libdir}/python%{pyver}/site-packages/gtk-2.0/metacity.so


%files -n gnome-python-totem
%defattr(-,root,root,-)
%ifnarch s390 s390x
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/mediaprofiles.so
%endif
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/totem

%files -n gnome-python-rsvg
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/rsvg.so

%files -n gnome-python-gnomedesktop
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gnomedesktop

%files -n gnome-python-gnomekeyring
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gnomekeyring.so

%changelog
* Tue Mar 25 2008 Christian Wasem <wasem@ccux-linux.de> 2.20.0-4
- rebuild, fixing dependency
* Tue Mar 25 2008 Christian Wasem <wasem@ccux-linux.de> 2.20.0-3
- rebuild, fixed dependency of gnome-python-totem subpackage
* Sun Sep 30 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-2
- rebuild without gtksourceview
* Sun Sep 30 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Fri Mar 23 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-2
- Small bugfix in naming scheme
* Fri Mar 23 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Thu Nov 23 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.1-1
- Initial release
